package com.ruoyi.dxp.dto.database;

import java.io.Serializable;
import java.util.List;

/**
 * 数据库查询数据对象
 */
public class DatabaseUtilsDbQueryParam implements Serializable {
    private static final long serialVersionUID = 1L;

    private List<String> cols;

    private Long id;

    private Integer pageNo;

    private Integer pageSize;

    private List<DatabaseUtilsQueryCondDto> query;

    private DatabaseUtilsSortCondDto sort;

    private String tbName;

    public List<String> getCols() {
        return cols;
    }

    public void setCols(List<String> cols) {
        this.cols = cols;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getPageNo() {
        return pageNo;
    }

    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public List<DatabaseUtilsQueryCondDto> getQuery() {
        return query;
    }

    public void setQuery(List<DatabaseUtilsQueryCondDto> query) {
        this.query = query;
    }

    public DatabaseUtilsSortCondDto getSort() {
        return sort;
    }

    public void setSort(DatabaseUtilsSortCondDto sort) {
        this.sort = sort;
    }

    public String getTbName() {
        return tbName;
    }

    public void setTbName(String tbName) {
        this.tbName = tbName;
    }
}
